<% 
require("htmlviewfunctions")
   local form, viewlibrary, page_info, session = ... 
%>

<% if viewlibrary and viewlibrary.dispatch_component then 
	viewlibrary.dispatch_component("status")
end %>

<h1>Configuration</h1>
<%
	form.action = page_info.script .. page_info.prefix .. page_info.controller .. "/" .. page_info.action
	htmlviewfunctions.displayformstart(form)
	for field,val in pairs(form.value) do
		val.name = field
	end
%>
</DL>

<h2>General</h2>
<dl>
<p>
These parameters define the interface and port that Dansguardian uses to accept connections.
</p>

<%
	htmlviewfunctions.displayformitem(form.value.filterip)
	htmlviewfunctions.displayformitem(form.value.filterport)
%>
</dl>

<h2>Proxy service</h2>
<dl>
<p>
These parameters define the ip address and port that Dansguardian should forward requests on to.
</p>

<%
	htmlviewfunctions.displayformitem(form.value.proxyip)
	htmlviewfunctions.displayformitem(form.value.proxyport)
%>
</dl>

<h2>Filter Actions</h2>
<dl>
<p>
These parameters define how sensitive the filter is, and where to redirect requests if the content filter 
determines that the content is inappropriate. The "naughtynesslimit" is more sensitive the lower it is set. 
The author recommends 50 for "young children", 100 for "older children" and 160 for "young adults".
</p>

<%
	htmlviewfunctions.displayformitem(form.value.accessdeniedaddress)
	htmlviewfunctions.displayformitem(form.value.naughtynesslimit)
%>
</dl>

<h2>Save Changes</h2>
<DL>
<% htmlviewfunctions.displayformend(form) %>
</DL>
